<div class="post-image">
		<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
        	<?php 
                $image = wpcleangreen_catch_that_image();
            	$first_image_gallery = wpcleangreen_catch_gallery_image_full();

        	   if ( has_post_format('image') && !empty($image)): echo $image;  ?> 
        		<span class="fa fa-picture-o"></span> 
        	<?php elseif ( has_post_format('gallery') && isset($first_image_gallery)): echo $first_image_gallery; ?>
        		<span class="fa fa-file-image-o"></span>
        	
            <?php elseif (has_post_format('audio') &&  has_post_thumbnail()): the_post_thumbnail('full'); ?>
        		<span class="fa fa-music"></span>
        	
            <?php elseif (has_post_format('aside') &&  has_post_thumbnail()): the_post_thumbnail('full'); ?>
        		<span class="fa fa-pencil-square"></span>
        	
            <?php elseif (has_post_format('chat') &&  has_post_thumbnail()): the_post_thumbnail('full'); ?>
        		<span class="fa fa-weixin"></span>
        	
            <?php elseif (has_post_format('link') &&  has_post_thumbnail()): the_post_thumbnail('full'); ?>
        		<span class="fa fa-link"></span>
        	
            <?php elseif (has_post_format('quote') &&  has_post_thumbnail()): the_post_thumbnail('full'); ?>
        		<span class="fa fa-quote-left"></span>
        	
            <?php elseif (has_post_format('status') &&  has_post_thumbnail()): the_post_thumbnail('full'); ?>
        		<span class="fa fa-file-text-o"></span>
        	
            <?php elseif (has_post_format('video') && class_exists('acf')): ?>
                <div class="video-container">
        		  <?php echo get_field('wpdevshed_post_format_embed_video'); ?>
                </div>
        	<?php else: the_post_thumbnail('full'); endif; ?>
        </a>
</div> <!-- post-image -->

    <h1><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h1>

    <?php if (has_post_format('status') && class_exists('acf')) : ?>
        <p class="status-content"><?php echo get_field('wpdevshed_post_format_status_content'); ?></p>
    
    <?php elseif (has_post_format('quote') && class_exists('acf')) :  ?>
        <p class="quote-content"><?php echo get_field('wpdevshed_post_format_quote_content'); ?></p>
    	<p class="quote-source">-<?php echo get_field('wpdevshed_post_format_quote_source'); ?></p>
    
    <?php elseif (has_post_format('link') && class_exists('acf')):  ?>
    	<p class="format-link"><a href="<?php echo get_field('wpdevshed_post_format_link_url'); ?>"><?php echo get_field('wpdevshed_post_format_link_url'); ?></a></p>
    	<p><?php echo wpcleangreen_excerpt(25); ?></p>
    
    <?php elseif (has_post_format('audio') && class_exists('acf')) :  ?> 
    	<?php $audio = get_field('wpdevshed_post_format_audio_content') ?>
    	<?php $attr = array(
    		'src'      => $audio,
    		'loop'     => '',
    		'autoplay' => '',
    		'preload' => 'none'
    		);
    	echo wp_audio_shortcode( $attr ); ?><p><?php echo wpcleangreen_excerpt(25); ?></p> 
    <?php elseif (has_post_format('chat') && class_exists('acf')) :  ?> 
    	<div class="chat-content"><?php echo get_field('wpdevshed_post_format_chat_content'); ?></div>
    
    <?php else: ?>
        <p><?php echo wpcleangreen_excerpt(25); ?></p> 
    
    <?php endif; ?>					                    